import es

dm = es.import_addon('dm')

# We require the prehooking functions, so minver is 2.0.3
if not dm.minver('2.0.3'):
    raise NotImplementedError, 'Please update your dm version'
if dm.usePureES:
    raise NotImplementedError, 'This addon require SPE or NT to run'

def load():
    dm.registerPreHook('player_hurt', pre_player_hurt)
    saveFF()
    dm.msg('Loaded Addon - Free For All')
    
def unload():
    dm.unregisterPreHook('player_hurt', pre_player_hurt)
    loadFF()
    dm.msg('Unloaded Addon - Free For All')
        
def saveFF():
    global ff_value
    ff = es.ServerVar('mp_friendlyfire')
    ff_value = str(ff)
    ff.set(1)
    
def loadFF():
    es.ServerVar('mp_friendlyfire').set(ff_value)
    
    
def pre_player_hurt(event_var):
    attacker = int(event_var['attacker'])
    victim = int(event_var['userid'])
    if attacker != 0 and victim != attacker:
        userteam = es.getplayerteam(victim)
        attackerteam = es.getplayerteam(attacker)
        if userteam == attackerteam:
            dm.changeTeam(victim, 5-int(attackerteam))